<!DOCTYPE html>
<!--

    Copyright SCN Guichet Entreprises, Capgemini and contributors (2014-2016)

    This software is a computer program whose purpose is to maintain and
    administrate standalone forms.

    This software is governed by the CeCILL  license under French law and
    abiding by the rules of distribution of free software.  You can  use,
    modify and/ or redistribute the software under the terms of the CeCILL
    license as circulated by CEA, CNRS and INRIA at the following URL
    "http://www.cecill.info".

    As a counterpart to the access to the source code and  rights to copy,
    modify and redistribute granted by the license, users are provided only
    with a limited warranty  and the software's author,  the holder of the
    economic rights,  and the successive licensors  have only  limited
    liability.

    In this respect, the user's attention is drawn to the risks associated
    with loading,  using,  modifying and/or developing or reproducing the
    software by the user in light of its specific status of free software,
    that may mean  that it is complicated to manipulate,  and  that  also
    therefore means  that it is reserved for developers  and  experienced
    professionals having in-depth computer knowledge. Users are therefore
    encouraged to load and test the software's suitability as regards their
    requirements in conditions enabling the security of their systems and/or
    data to be ensured and,  more generally, to use and operate it in the
    same conditions as regards security.

    The fact that you are presently reading this means that you have had
    knowledge of the CeCILL license and that you accept its terms.

-->
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(scripts=~{::scripts}, links=~{::links}, breadcrumbs=~{::breadcrumbs}, mainContent=~{::mainContent})}">
<head>
<title>Form Administration Console</title>
<th:block th:fragment="links">
    <link href="css/markov/monitoring.css" rel="stylesheet" th:href="@{/css/markov/monitoring.css}" />
</th:block>
<th:block th:fragment="scripts">
    <script th:inline="javascript">
    /*<![CDATA[*/
    var markovBaseUrl = /*[[@{/api/markov}]]*/ ;
    /*]]>*/
    </script>
    <script th:src="@{/js/app/markov/monitoring.js}"></script>
    <script id="tpl-queue-content" type="text/x-handlebars-template">
        {{#each content}}
            {{#if handling }}
                <div class="queue-card" data-queue-message-id="{{id}}">{{uid}}</div>
             {{else}}
                <div class="queue-card" data-queue-message-id="{{id}}">{{uid}}
                    <a th:href="@{/markov/monitoring/message/{{id}}/content}"><i class="fa fa-download"></i></a>
                    <a th:href="@{/api/markov/v1/queue/message/{{id}}'}" role="remove"><i class="fa fa-trash fa-lg"></i></a>
                </div>
          {{/if}}
        {{/each}}
    </script>
    <script id="tpl-queue-card" type="text/x-handlebars-template">
        {{#if enabled }}
            <a th:href="@{/api/markov/v1/monitoring/feature/{{feature}}/state/false}" role="pause"><i class="fa fa-pause play-pause"></i></a>
        {{else}}
            <a th:href="@{/api/markov/v1/monitoring/feature/{{feature}}/state/true}" role="play"><i class="fa fa-play play-pause"></i></a>
        {{/if}}
    </script>
</th:block>
</head>
<body>
    <ol th:fragment="breadcrumbs">
        <li><a th:href="@{/}" th:text="#{Home}"></a></li>
        <li class="active"><span th:text="#{Markov Monitoring}"></span></li>
    </ol>
    <div th:fragment="mainContent">

        <div class="row">
            <div th:replace="commons/modal::default(id='confirmRemoveModal', title=#{Record {0}}, content=~{::content})">
                <div th:fragment="content">
                    <p th:text="#{Do you really want to remove this record ?}"></p>
                </div>
            </div>
        </div>

        <div class="row">
            <div th:replace="commons/modal::default(id='confirmPlayPauseQueue', title=#{Queue {0}})" />
        </div>

        <div class="row">
            <div class="col-md-3">
                <div id="queue-pending-files" class="queue pending-files">
                    <div class="queue-header row">
                        <h2 class="col-md-8" th:text="#{Pending files}"></h2>
                        <span class="col-md-2 total-entries"></span>
                        <a href="#" role="count"><i class="fa fa-refresh fa-2x" style="color:#EEE;"></i></a>
                    </div>
                </div>
            </div>

            <div class="col-md-9">
                <div id="queue-inprogress" class="queue inprogress">
                    <div class="queue-header row">
                        <h2 class="col-md-2" th:text="#{In Progress}"></h2>
                        <div id="INPROGRESS" class="col-md-8 queue-cards"></div>
                        <div class="col-md-1 queue-status"></div>
                        <span class="col-md-1 total-entries"></span>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-3">
                <div id="queue-await" class="queue await">
                    <div class="queue-header row">
                        <h2 class="col-md-8" th:text="#{Await}"></h2>
                        <div class="col-md-2 queue-status"></div>
                        <span class="col-md-2 total-entries"></span>
                    </div>
                    <div id="AWAIT" class="droppable queue-cards"></div>
                </div>
            </div>

            <div class="col-md-3">
                <div id="queue-success" class="queue success">
                    <div class="queue-header row">
                        <h2 class="col-md-8" th:text="#{Success}"></h2>
                        <div class="col-md-2 queue-status"></div>
                        <span class="col-md-2 total-entries"></span>
                    </div>
                    <div id="SUCCESS" class="droppable queue-cards"></div>
                </div>
            </div>

            <div class="col-md-3">
                <div id="queue-error" class="queue error">
                    <div class="queue-header row">
                        <h2 class="col-md-8" th:text="#{Error}"></h2>
                        <div class="col-md-2 queue-status"></div>
                        <span class="col-md-2 total-entries"></span>
                    </div>
                    <div id="ERROR" class="droppable queue-cards"></div>
                </div>
            </div>

            <div class="col-md-3">
                <div id="queue-inferno" class="queue inferno">
                    <div class="queue-header row">
                        <h2 class="col-md-8" th:text="#{Inferno}"></h2>
                        <div class="col-md-2 queue-status"></div>
                        <span class="col-md-2 total-entries"></span>
                    </div>
                    <div id="INFERNO" class="droppable queue-cards"></div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
